summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ryan P.C. McQuen <ryan.q@linux.com>2015-01-27 07:08:34 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-01-27 07:17:50 +0700
commite4ff3b40973e4044cc9d4b06915d4d12267e7f5a (patch)
treed7b12d51273da34d6c1802c33e75f1a722e339a1
parentac44c9d53e626bb788f45eeeb1737ea8eed7d51c (diff)
downloadslackbuilds-e4ff3b40973e4044cc9d4b06915d4d12267e7f5a.tar.gz
slackbuilds-e4ff3b40973e4044cc9d4b06915d4d12267e7f5a.tar.xz
development/thunderpad: Added (a simple, powerful text editor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/thunderpad/README2
-rw-r--r--development/thunderpad/slack-desc19
-rw-r--r--development/thunderpad/thunderpad.SlackBuild112
-rw-r--r--development/thunderpad/thunderpad.info10
4 files changed, 143 insertions, 0 deletions
diff --git a/development/thunderpad/README b/development/thunderpad/README
new file mode 100644
index 0000000000..51c1f5da79
--- /dev/null
+++ b/development/thunderpad/README
@@ -0,0 +1,2 @@
+Thunderpad is a simple and lightweight text editor designed
+for general-purpose usage and casual programming.
diff --git a/development/thunderpad/slack-desc b/development/thunderpad/slack-desc
new file mode 100644
index 0000000000..1e8fbde6ee
--- /dev/null
+++ b/development/thunderpad/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+thunderpad: thunderpad (a simple, powerful text editor)
+thunderpad:
+thunderpad:
+thunderpad: A simple, powerful and cross-platform text editor.
+thunderpad:
+thunderpad:
+thunderpad:
+thunderpad:
+thunderpad:
+thunderpad: http://sf.net/p/thunderpad
+thunderpad:
diff --git a/development/thunderpad/thunderpad.SlackBuild b/development/thunderpad/thunderpad.SlackBuild
new file mode 100644
index 0000000000..bb1b629bf0
--- /dev/null
+++ b/development/thunderpad/thunderpad.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/sh
+# Slackware build script for thunderpad
+# Ryan P.C. McQuen | Everett, WA | ryan.q@linux.com
+
+# Thanks to B. Watson
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License
+# along with this program (most likely, a file named COPYING). If
+# not, see <http://www.gnu.org/licenses/>.
+
+PRGNAM=thunderpad
+SRCNAM=Thunderpad
+VERSION=${VERSION:-0.9.3}
+SRCVERSION=${SRCVERSION:-3f463d714d38b32a06b84808a0338fd273b2e3f7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+DOCS="authors.txt license.txt readme.md"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -pv $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$SRCVERSION
+if [ -e $CWD/$SRCVERSION.tar.gz ]; then
+ tar xvf $CWD/$SRCVERSION.tar.gz
+else
+ tar xvf $CWD/$SRCNAM-$SRCVERSION.tar.gz
+fi
+cd $SRCNAM-$SRCVERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+## remove CR line endings
+sed -i 's,\r,,' data/linux/$PRGNAM.desktop *.txt *.md
+
+mkdir -p build
+cd build
+
+qmake \
+ PREFIX=/usr \
+ LIBDIR=/usr/lib${LIBDIRSUFFIX} \
+ QMAKE_CFLAGS="$SLKCFLAGS" \
+ QMAKE_CXXFLAGS="$SLKCFLAGS" \
+ ../thunderpad.pro CONFIG+=release
+
+make \
+ OPTS="$SLKCFLAGS" \
+ LIBDIR=/usr/lib${LIBDIRSUFFIX} \
+ PREFIX=/usr
+
+make install \
+ INSTALL_ROOT=$PKG \
+ DESTDIR=$PKG
+
+cd ../
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/thunderpad/thunderpad.info b/development/thunderpad/thunderpad.info
new file mode 100644
index 0000000000..f76b48dd1b
--- /dev/null
+++ b/development/thunderpad/thunderpad.info
@@ -0,0 +1,10 @@
+PRGNAM="thunderpad"
+VERSION="0.9.3"
+HOMEPAGE="https://github.com/alex-97/Thunderpad"
+DOWNLOAD="https://github.com/alex-97/Thunderpad/archive/3f463d714d38b32a06b84808a0338fd273b2e3f7.tar.gz"
+MD5SUM="0d3015234c61b5b6edbd4592cd96cd40"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ryan P.C. McQuen"
+EMAIL="ryan.q@linux.com"